{
    "URL": "cli-cloud.3dprinteros.com",
    "active_detectors": {
        "GPIOUARTDetector": false,
        "KlipperDetector": true,
        "LocalMoonrakerDetector": false,
        "NetworkDetector": true,
        "StaticDetector": false,
        "USBDetector": true
    },
    "autostart_queue": false,
    "backward_compatible_serials": false,
    "camera": {
        "allow_subprocess": true,
        "binary_jpeg": false,
        "cams_per_process": 5,
        "default": "Disable camera",
        "dynamic_skip": true,
        "empty_frame_error": false,
        "enabled": true,
        "frame_skip": 5,
        "from_sender": {
            "bambulab_lan_cam": true
        },
        "hardware_resize": true,
        "http_output": {
            "async": false,
            "enabled": false,
            "only_localhost": true,
            "port": 8009
        },
        "id_by_path": true,
        "logging": true,
        "migrate_numeration": true,
        "network_input": true,
        "no_subprocess": false,
        "old_ip_numeration": true,
        "old_numeration": true,
        "reconnect": true,
        "reinit_on_no_cam": false,
        "restart_on_error_output": false,
        "snap_cam_url": "http://127.0.0.1/webcam/?action=snapshot",
        "switch_type": true,
        "usb_input": true
    },
    "custom_settings_home": "",
    "disable_resend_max": false,
    "dynamic_gcodes_buffer": true,
    "forbid_uploads": false,
    "gpio": {
        "bouncetime": 100,
        "buttons": {
            "cancel_locally": 29,
            "send_bed_clear": 33
        },
        "enabled": false,
        "pull": "up",
        "trigger": "falling"
    },
    "gpio_uart": {
        "allow_use_with_buttons": false,
        "enabled": false,
        "ports": [
            "/dev/ttyAMA0"
        ]
    },
    "host_action_commands": true,
    "host_commands": true,
    "in_memory_gcodes": false,
    "intercept_pause": false,
    "keep_print_files": false,
    "klipper": {
        "custom_port": "",
        "enabled": true,
        "multi": false,
        "unique_snr": true
    },
    "line_end_on_connect": true,
    "linux_rights_warning": false,
    "local_moonraker": {
        "always_on": false,
        "port": 7125
    },
    "logging": {
        "auto_report_exceptions": true,
        "debug": false,
        "enabled": true,
        "erase_on_start": false,
        "logs_sending": true,
        "max_record_len": 2048,
        "per_printer": true,
        "qml": true,
        "request_skip": 0
    },
    "main_loop_period": 1,
    "manage_networking": {
        "enabled": false
    },
    "max_parallel_starts": 3,
    "no_empty_serials": true,
    "ok_timeout": true,
    "plugins": {
        "allow_active_plugins": false,
        "auto_enable": true,
        "auto_install": true,
        "enabled": true
    },
    "port_creation_wait": 1.0,
    "port_parity_hack": false,
    "pre_login_ui": true,
    "print_estimation": {
        "allow_rise_time_left": false,
        "assume_silent_mode": false,
        "by_cloud": true,
        "by_print_speed": false,
        "by_printer": true,
        "enabled": true,
        "override_clouds": false
    },
    "printer_loop_period": 2,
    "printer_profiles": {
        "get_updates": true,
        "only_local": false
    },
    "protocol": {
        "custom_port": 0,
        "encryption": true,
        "response_time_log": false,
        "user_login": true
    },
    "qt_interface": {
        "alt_local_folder": "",
        "enabled": false,
        "fullscreen": false,
        "resolution": [
            800,
            480
        ]
    },
    "quit": {
        "allow_poweroff": false,
        "always_restart": false,
        "dim_display": false
    },
    "remote_control": {
        "allow_no_auth_localhost": true,
        "auth_using_os": false,
        "auto_auth_localhost": true,
        "broadcasting": true,
        "detectable": false,
        "web_server": false
    },
    "restore_pos_on_resume": false,
    "sdcard_upload_block_size": 1024,
    "static_printers": [],
    "subprocess_zip": true,
    "tray_icon": {
        "enabled": true,
        "notifications_enabled": true
    },
    "update": {
        "auto_update_enabled": false,
        "check_pause": 600,
        "enabled": true,
        "no_url_prefix": false
    },
    "vendor": {
        "name": "apv1"
    },
    "verbose": false,
    "virtual_printer": {
        "COM": "/dev/null",
        "EMU": true,
        "PID": "0042",
        "SNR": "0",
        "VID": "2341",
        "enabled": false,
        "forced_type": "Marlin"
    },
    "web_interface": {
        "browser_opening_on_start": true,
        "enabled": true,
        "port": 8008,
        "port_https": 0
    },
    "wizard_on_start": true
}